import { ITreeviewItem } from '../../src/components/Treeview/TreeviewItem.Props';

export const elements: ITreeviewItem[] = [
    {
        id: 'A1', text: 'Option A1', hoverOverBtn: [{
            iconName: 'icon-edit',
            // tslint:disable-next-line:no-console
            callback: (id) => console.log(id)
        },
        {
            iconName: 'icon-trash',
            // tslint:disable-next-line:no-console
            callback: (id) => console.log(id)
        }],
        isOpen: true, checked: true, className: 'selected'
    },
    { id: 'A2', text: 'Option A2', iconClassName: 'icon-ghost color' },
    { id: 'A3', text: 'Option A3', iconClassName: 'icon-edit_user color' },
    { id: 'A4', text: 'Option A4', iconClassName: 'icon-ghost' },
    { id: 'B1', text: 'Option B1', parentId: 'A1', className: 'selected' },
    { id: 'B2', text: 'Option B2', parentId: 'A1' },
    { id: 'B3', text: 'Option B3', parentId: 'A1', checked: true },
    { id: 'B4', text: 'Option B4', parentId: 'A1' },
    { id: 'C1', text: 'Option C1', parentId: 'B1', iconClassName: 'icon-edit_user' },
    { id: 'C2', text: 'Option C2', parentId: 'B1' },
    { id: 'C3', text: 'Option C3', parentId: 'B1' },
    { id: 'C4', text: 'Option C4', parentId: 'B1' },
    { id: 'C5', text: 'Option C5', parentId: 'B1' },
    { id: 'C6', text: 'Option C6', parentId: 'B1' },
    { id: 'D1', text: 'Option D1', parentId: 'C1', isOpen: true },
    { id: 'D2', text: 'Option D2', parentId: 'C1' },
    { id: 'D3', text: 'Option D3', parentId: 'C1' },
    { id: 'D4', text: 'Option D4', parentId: 'C1' },
    { id: 'D5', text: 'Option D5', parentId: 'C1' },
    { id: 'D6', text: 'Option D6', parentId: 'C1' },
    { id: 'D7', text: 'Option D7', parentId: 'C1' },
    { id: 'B11', text: 'Option B1', parentId: 'A2', checked: true },
    { id: 'B21', text: 'Option B2', parentId: 'A2', checked: true },
    { id: 'B31', text: 'Option B3', parentId: 'A2', checked: true },
    { id: 'B41', text: 'Option B4', parentId: 'A2', checked: true },
    { id: 'C11', text: 'Option C1', parentId: 'B2' },
    { id: 'C21', text: 'Option C2', parentId: 'B2' },
    { id: 'C31', text: 'Option C3', parentId: 'B2' },
    { id: 'C41', text: 'Option C4', parentId: 'B2' },
    { id: 'C51', text: 'Option C5', parentId: 'B2' },
    { id: 'C61', text: 'Option C6', parentId: 'B2' },
    { id: 'D11', text: 'Option D1', parentId: 'C2' },
    { id: 'D21', text: 'Option D2', parentId: 'C2' },
    { id: 'D31', text: 'Option D3', parentId: 'C2' },
    { id: 'D41', text: 'Option D4', parentId: 'C2' },
    { id: 'D51', text: 'Option D5', parentId: 'C2' },
    { id: 'D61', text: 'Option D6', parentId: 'C2' },
    { id: 'D71', text: 'Option D7', parentId: 'C2' },
    { id: 'E1', text: 'Option E1', parentId: 'D1' },
    { id: 'E2', text: 'Option E2', parentId: 'D1' },
    { id: 'E3', text: 'Option E3', parentId: 'D1' },
    { id: 'E4', text: 'Option E4', parentId: 'D1' },
    { id: 'E5', text: 'Option E5', parentId: 'D1' },
    { id: 'E6', text: 'Option E6', parentId: 'D1' },
    { id: 'F1', text: 'Option F1', parentId: 'E1' },
    { id: 'F2', text: 'Option F2', parentId: 'E1' },
    { id: 'F3', text: 'Option F3', parentId: 'E1' },
    { id: 'F4', text: 'Option F4', parentId: 'E1' },
    { id: 'F5', text: 'Option F5', parentId: 'E1' },
    { id: 'F6', text: 'Option F6', parentId: 'E1' },
    { id: 'G1', text: 'Option G1', parentId: 'F1' },
    { id: 'G2', text: 'Option G2', parentId: 'F1' },
    { id: 'G3', text: 'Option G3', parentId: 'F1' },
    { id: 'G4', text: 'Option G4', parentId: 'F1' },
    { id: 'G5', text: 'Option G5', parentId: 'F1' },
    { id: 'G6', text: 'Option G6', parentId: 'F1' },
    { id: 'G7', text: 'Option G7', parentId: 'F1' },
    { id: 'H1', text: 'Option H1', parentId: 'G1' },
    { id: 'H2', text: 'Option H2', parentId: 'G1' },
    { id: 'H3', text: 'Option H3', parentId: 'G1' },
    { id: 'H4', text: 'Option H4', parentId: 'G1' },
    { id: 'H5', text: 'Option H5', parentId: 'G1' },
    { id: 'H6', text: 'Option H6', parentId: 'G1' },
    { id: 'H7', text: 'Option H7', parentId: 'G1' },
    { id: 'H8', text: 'Option H8', parentId: 'G1' },
    { id: 'H11', text: 'Option H1', parentId: 'G2' },
    { id: 'H21', text: 'Option H2', parentId: 'G2' },
    { id: 'H31', text: 'Option H3', parentId: 'G2' },
    { id: 'H41', text: 'Option H4', parentId: 'G2' },
    { id: 'H51', text: 'Option H5', parentId: 'G2' },
    { id: 'H61', text: 'Option H6', parentId: 'G2' },
    { id: 'H71', text: 'Option H7', parentId: 'G2' },
    { id: 'H81', text: 'Option H8', parentId: 'G2' },
    { id: 'E11', text: 'Option E1', parentId: 'D21' },
    { id: 'E21', text: 'Option E2', parentId: 'D21' },
    { id: 'E31', text: 'Option E3', parentId: 'D21' },
    { id: 'E41', text: 'Option E4', parentId: 'D21' },
    { id: 'E51', text: 'Option E5', parentId: 'D21' },
    { id: 'E61', text: 'Option E6', parentId: 'D21' },
    { id: 'F11', text: 'Option F1', parentId: 'E21' },
    { id: 'F21', text: 'Option F2', parentId: 'E21' },
    { id: 'F31', text: 'Option F3', parentId: 'E21' },
    { id: 'F41', text: 'Option F4', parentId: 'E21' },
    { id: 'F51', text: 'Option F5', parentId: 'E21' },
    { id: 'F61', text: 'Option F6', parentId: 'E21' },
    { id: 'G11', text: 'Option G1', parentId: 'F21' },
    { id: 'G21', text: 'Option G2', parentId: 'F21' },
    { id: 'G31', text: 'Option G3', parentId: 'F21' },
    { id: 'G41', text: 'Option G4', parentId: 'F21' },
    { id: 'G51', text: 'Option G5', parentId: 'F2' },
    { id: 'G61', text: 'Option G6', parentId: 'F2' },
    { id: 'G71', text: 'Option G7', parentId: 'F2' }
];
