import * as React from 'react';
import { IBarChartProps, IBarChartData } from './BarChart.props';
export declare class BarChart extends React.PureComponent<IBarChartProps, any> {
    static defaultProps: {
        id: string;
        data: any[];
        tipText: (data: IBarChartData) => string;
        xAxisFormat: () => any;
        width: number;
        height: number;
        onClick: () => void;
        selectedIndex: number;
    };
    private containerRef;
    constructor(props: IBarChartProps);
    render(): JSX.Element;
    componentWillUnmount(): void;
    /**
     * When root container is rendered and its dimensions are known set resize sensor to it and
     * calculate dimensions so that chart content could be displayed inside it.
     */
    private init(element);
    /**
     * When root element is resized calculate new dimensions and update state which causes all other child components
     * to be scaled to appropriate dimensions. SetState will not be called if new dimensions are the same as ones in state.
     */
    private onResize();
}
