import { ICalloutProps } from './Callout.Props';
import { DirectionalHint } from '../../utilities/DirectionalHint';
import { CommonComponent } from '../Common/Common';
import './Callout.scss';
export interface ICalloutState {
    positions?: any;
    slideDirectionalClassName?: string;
    calloutElementRect?: ClientRect;
}
export declare class CalloutContent extends CommonComponent<ICalloutProps, ICalloutState> {
    static defaultProps: {
        isBeakVisible: boolean;
        hideBorder: boolean;
        beakWidth: number;
        gapSpace: number;
        directionalHint: DirectionalHint;
    };
    private _didSetInitialFocus;
    private _hostElement;
    private _calloutElement;
    private _targetWindow;
    private _bounds;
    private _maxHeight;
    private _positionAttempts;
    private _target;
    private _borderWidth;
    constructor(props: ICalloutProps);
    componentDidUpdate(): void;
    componentWillMount(): void;
    componentWillUpdate(newProps: ICalloutProps): void;
    componentDidMount(): void;
    render(): JSX.Element;
    dismiss(): void;
    protected _dismissOnLostFocus(ev: Event): void;
    protected _setInitialFocus: () => void;
    protected _onComponentDidMount: () => void;
    _checkBeakPosition: (beak: {
        top: number;
        left: number;
        display: string;
    }) => boolean;
    _updatePosition: () => void;
    private _getBounds();
    private _getMaxHeight();
    private _setTargetWindowAndElement(target);
}
