import * as React from 'react';
import './Carousel.scss';
export interface CarouselStepProps {
    header?: React.ReactNode;
    stepContent: React.ReactNode;
}
export interface CarouselProps {
    initialStep?: number;
    steps: Array<CarouselStepProps>;
    onStepChanged?(nextStepIndex: number): any;
    onFinish(): any;
    showBackButton?: boolean;
    backButtonText?: string;
    forwardButtonText?: string;
    finishButtonText?: string;
}
export interface CarouselState {
    selectedStepIndex: number;
    numberOfSteps: number;
}
export declare class Carousel extends React.Component<CarouselProps, CarouselState> {
    static defaultProps: Partial<CarouselProps>;
    constructor(props: CarouselProps);
    render(): JSX.Element;
    private _getSelectedStepProps;
    private _isLastStep;
    private _onNextClicked;
    private _onBackClicked;
    changeStep: (newStepIndex: number) => void;
    private _renderCarouselSteps;
}
