import * as React from 'react';
import { IDashboardProps, IDashboardState } from './Dashboard.Props';
import { IDropdownOption } from '../Dropdown/Dropdown.Props';
import { PivotItem } from '../Pivot/PivotItem';
import { IFilteringOption } from '../FilteringBar/FilteringBar.Props';
import { IGroup } from '../../models';
import './Dashboard.scss';
export declare function filterFarms(farms: Array<IGroup>, filter: string, filteringOptions: Array<IFilteringOption>): Array<IGroup>;
export declare class Dashboard extends React.PureComponent<IDashboardProps, IDashboardState> {
    static defaultProps: {
        editRoles: boolean;
        groupingOptions: IDropdownOption[];
    };
    constructor(props?: IDashboardProps);
    componentWillReceiveProps(nextProps: IDashboardProps): void;
    groupChanged(newGroupKey: number): void;
    onStatusFilteringChange(activeFilters: any): void;
    render(): JSX.Element;
    private _serverClose(serverId, groupId, event);
    private _roleEdit(id, farmId, event);
    changeView(item?: PivotItem, ev?: React.MouseEvent<any>): void;
    private changeSearchFilter(newValue);
}
