import * as React from 'react';
export interface ITimePickerProps {
    hour: number;
    minute: number;
    is24Hour: boolean;
    useKeyboardInput?: boolean;
    onTimeChanged: (hour: number, minute: number) => void;
}
export interface ITimePickerState {
    isPeriodPm: boolean;
    hourHover: boolean;
    minuteHover: boolean;
    hourTimeFormat: (num: string) => string;
    minuteTimeFormat: (num: string) => string;
}
export declare class TimePicker extends React.Component<ITimePickerProps, ITimePickerState> {
    constructor(props: ITimePickerProps);
    componentWillReceiveProps(nextProps: ITimePickerProps): void;
    static defaultProps: {
        useKeyboardInput: boolean;
    };
    onHourSliderEnter(): void;
    onHourSliderLeave(): void;
    onMinuteSliderEnter(): void;
    onMinuteSliderLeave(): void;
    onHourSliderChange(value: any): void;
    onMinuteSliderChange(value: any): void;
    normalizeHours(hour: number, is24Hour: boolean): number;
    convertTo24HourFormat(hour: number, is24Hour: boolean, isPeriodPm: boolean): number;
    removeNonNumeric(num: string): string;
    formatHourFocused(num: string): string;
    formatUnfocused(num: string): string;
    onHourInputChange(e: any): void;
    onMinuteInputChange(e: any): void;
    onHourInputBlur(e: any): void;
    onMinuteInputBlur(e: any): void;
    onHourInputFocus(e: any): void;
    onMinuteInputFocus(e: any): void;
    changePeriod(): void;
    render(): JSX.Element;
}
