import { DirectionalHint } from '../../index';
export interface IRenderFunction<P> {
    (props?: P, defaultRender?: (props?: P) => JSX.Element): JSX.Element;
}
export interface IDropdownProps {
    label?: string;
    id?: string;
    dropdownKey?: string | number;
    selectedKey?: string | number;
    options?: IDropdownOption[];
    onChanged?: (option: IDropdownOption, index?: number) => void;
    onClick?: (option: IDropdownOption, index?: number, dropdownKey?: string | number) => void;
    onRenderItem?: IRenderFunction<IDropdownOption>;
    disabled?: boolean;
    hasTitleBorder?: boolean;
    icon?: string;
    iconClassName?: string;
    dropdownType?: DropdownType;
    dropdownWidth?: string;
    className?: string;
    calloutClassName?: string;
    layerClassName?: string;
    onClosed?: () => void;
    onMenuToggle?: (opened: boolean) => void;
    onCustomSelectionText?: () => string;
    displaySelection?: boolean;
    showArrowIcon?: boolean;
    title?: string;
    isValid?: boolean;
    validationErrorMessage?: string;
    delayMs?: number;
    isLoading?: boolean;
    calloutDirectionalHint?: DirectionalHint;
}
export interface IDropdownOption {
    key: string | number;
    text: string;
    index?: number;
    selected?: boolean;
    href?: string;
    icon?: string;
    tooltipInfo?: {
        title: string;
        content: string | JSX.Element;
        directionalHint?: DirectionalHint;
        className?: string;
    };
}
export declare enum DropdownType {
    selectionDropdown = 0,
    linkDropdown = 1,
    customDropdown = 2,
    actionDropdown = 3,
}
