import * as React from 'react';
import { IDropdownProps } from './Dropdown.Props';
import './Dropdown.scss';
export interface IDropdownState {
    id: string;
    isOpen: boolean;
    selectedIndex: number;
    isDisabled: boolean;
    isLoading: boolean;
}
export declare class Dropdown extends React.PureComponent<IDropdownProps, IDropdownState> {
    static defaultProps: Partial<IDropdownProps>;
    private static Option;
    refs: {
        [key: string]: React.ReactInstance;
        root: HTMLElement;
    };
    private _dropDown;
    private _dropdownLabel;
    constructor(props: IDropdownProps);
    componentWillReceiveProps(newProps: IDropdownProps): void;
    getSelectionText: (dropdownType: any, selectedOption: any) => {
        hasText: boolean;
        text: string;
    } | {
        hasText: boolean;
        text: JSX.Element;
    };
    setDropDownRef: (ref: any) => void;
    setDropDownLabelRef: (ref: any) => void;
    render(): JSX.Element;
    getMaxItemWidth: () => string;
    renderItems: () => JSX.Element;
    renderCustomDropdownItems: () => JSX.Element;
    renderActionDropdownItems: () => JSX.Element;
    onActionItemClick: (option: any, index: any) => void;
    renderDefaultDropdownItems: () => JSX.Element;
    setSelectedIndex(index: number): void;
    private _onItemClick(index);
    closeDropdown: () => void;
    private _getSelectedIndex(options, selectedKey);
    private _onDropdownKeyDown;
    private _onDropdownClick;
}
