import { ILayerProps } from './Layer.Props';
import './Layer.scss';
import { CommonComponent } from '../Common';
export declare class Layer extends CommonComponent<ILayerProps, {}> {
    static defaultProps: {
        onLayerDidMount: () => any;
        onLayerWillUnmount: () => any;
    };
    private _rootElement;
    private _host;
    private _layerElement;
    private _hasMounted;
    /**
     * Used for notifying applicable Layers that a host is available/unavailable and to re-evaluate Layers that
     * care about the specific host.
     */
    static notifyHostChanged(id: string): void;
    constructor(props: ILayerProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
    private _removeLayerElement();
    private _getHost();
}
