import * as React from 'react';
import { IPieChartContentProps } from './PieChart.props';
export declare class PieChartContent extends React.PureComponent<IPieChartContentProps, any> {
    constructor(props: IPieChartContentProps);
    /**
     * Creates arc generator function with given arguments.
     */
    private createArc;
    /**
     * Create pie generator for given data arguments.
     */
    private createPie;
    /**
     * Creates color function that returns color based on given string.
     */
    private createColorPallette;
    /**
     * When component is mounted bind given data to arc elements.
     */
    componentDidMount(): void;
    /**
     * When component is updated bind given data to arc elements.
     */
    componentDidUpdate(): void;
    /**
     * Binds given data to arc elements.
     */
    private bindData();
    render(): JSX.Element;
    /**
     * Create pie arcs based on given data array.
     */
    private renderPaths();
    /**
     * When mouse is moved over arc of component show tooltip with appropriate text.
     */
    private onMouseOver(element);
    /**
     * Hide tooltip when mouse is moved out of position.
     */
    private onMouseOut(element);
    private calculateRadius();
}
