import { FilterSelectionEnum, TreeItem, IFilterSelection } from './TreeFilter.Props';
import { TreeLookups } from './TreeItemOperators';
export interface IVirtualizedTreeViewProps {
    title?: string;
    hasSearch?: boolean;
    filterId: string;
    items: Array<TreeItem>;
    filterSelection?: IFilterSelection;
    isSingleSelect?: boolean;
    showButtons?: boolean;
    onSave?: () => void;
    onCancel?: () => void;
    isGroupSelectableOnSingleSelect?: boolean;
    shouldGroupExpandOnDoubleClick?: boolean;
    enableRecursiveSelection?: boolean;
    itemsAreFlatList?: boolean;
    onValuesSelected?: (filterId: string, filterSelection: IFilterSelection) => void;
    defaultSelection?: FilterSelectionEnum;
    rowHeight?: number;
    onItemsSearch?: (query: string) => void;
    searchQuery?: string;
    allItemIdsGetter?: (items?: Array<TreeItem>) => ReadonlyArray<string>;
    lookupTableGetter?: (items?: Array<TreeItem>) => any;
    onItemExpand?: (item?: TreeItem, lookupTableGetter?: () => TreeLookups) => void;
    showSelectAll?: boolean;
    showStatusBar?: boolean;
}
export declare const defaultTreeProps: Partial<IVirtualizedTreeViewProps>;
export interface IVirtualizedTreeViewState {
    filteredItems: Array<TreeItem>;
    searchText: string;
    partiallyCheckedItemIds: Array<string>;
    scrollToIndex: number;
}
