import * as React from 'react';
import { ITreeGridProps, ITreeGridState } from './TreeGrid.Props';
export declare class TreeGrid extends React.PureComponent<ITreeGridProps, ITreeGridState> {
    static defaultProps: {
        isNodeSelectable: boolean;
        isMultiSelectable: boolean;
        highlightRowsInMultiSelect: boolean;
        onSelectedNodeChanged: () => void;
        tooltipsEnabled: boolean;
        rowHeight: number;
    };
    private _quickGrid;
    private _finalGridRows;
    private _maxExpandedLevel;
    private _overscanProps;
    constructor(props: ITreeGridProps);
    componentDidMount(): void;
    componentWillMount(): void;
    componentWillUnmount(): void;
    private _getTreeColumnsToDisplay(columns);
    componentWillReceiveProps(nextProps: any): void;
    componentWillUpdate(nextProps: any, nextState: any): void;
    private treeCellRenderer;
    private _renderHiddenTreeCell(key, columnIndex, rowData);
    private getCheckStatus;
    private _renderExpandCollapseButton(key, rowIndex, rowData, style, onMouseEnter, isSelectedRow);
    private _renderBodyCell(columnIndex, key, rowIndex, rowData, style, onMouseEnter, rowActionsRender, isSelectedRow);
    private _onTreeExpandToggleClick;
    private _getQuickGridRef;
    private _getSortInfo;
    private _setSelectedNode;
    private _setSelectedNodeAndState;
    render(): JSX.Element;
}
