import { IButtonProps } from '../Button/Button.Props';
export interface IPage {
    content: JSX.Element;
    id: number;
}
export declare enum WizardStepDirection {
    Next = 0,
    Previous = 1,
}
export interface IWizardStep {
    index: number;
    title: string;
    description?: string;
    optionalButtons?: Array<IButtonProps>;
    className?: string;
    /**
     * used to hide the step from navigation
     */
    isStepHidden?: boolean;
}
export interface IWizardProps {
    steps: Array<IWizardStep>;
    onPageRender?: (index: number) => JSX.Element;
    onPageEnter?: (currentStepIndex: number, nextStepIndex: number) => void;
    onPageLeaving?: (currentStepIndex: number, nextStepIndex: number, direction: WizardStepDirection) => boolean;
    onPageLeave?: (currentStepIndex: number, nextStepIndex: number, direction: WizardStepDirection) => void;
    stepsVisible?: boolean;
    onFinish: () => void;
    onCancel: () => void;
    onHelpClicked?(): void;
    currentStep?: number;
    currentPage?: IPage;
    title?: string;
    nextBtnState?: boolean;
    backBtnState?: boolean;
    showNavigationButtons?: boolean;
    showHelpButton?: boolean;
    nextButtonText?: string;
    backButtonText?: string;
    finishButtonText?: string;
    showContainer?: boolean;
    isWizardFinishing?: boolean;
}
export declare const defaultProps: any;
