import { ICompactDashboardProps } from '../../src/components/CompactDashboard';
import { ITileDashboardProps } from '../../src/components/TileDashboard';
import { IDashboardProps } from '../../src/components/Dashboard';
import { IGroup, IMeasure, GroupTypeEnum } from '../../src/models';
export declare const dummyCompact: ICompactDashboardProps;
export declare const dummyTiles: ITileDashboardProps;
export declare const getDummyDashboard: (hasRoles: boolean) => {
    title: string;
    filter: string;
    initialActiveView: number;
    initialActiveGrouping: number;
    hasAddButton: boolean;
    headerClass: string;
    differentDashboards: {
        0: {
            linkText: string;
        };
        2: {
            linkText: string;
        };
        3: {
            linkText: string;
        };
    };
    farms: IGroup[];
    addFarm: () => void;
    onAddToGroup: (groupId: any) => void;
    onGroupDelete: (groupId: any) => void;
    onGroupEdit: (groupId: any) => void;
    onServerClose: (serverFQDN: any) => void;
    onServerRoleEdit: (serverFQDN: any, farmId: any) => void;
    groupOnClick: (groupId: any) => void;
    serverOnClick: (groupId: any, serverId: any) => void;
    activeFilters: any[];
    icons: {
        iconType: GroupTypeEnum;
        iconName: string;
        iconTitle: string;
    }[];
};
export declare const dummyDashboard: IDashboardProps;
export declare function convertFarm(farm: IGroup): IGroup;
export declare function generatePercentage(): number;
export declare function generateCpuSpeed(): number;
export declare function generateCoreCount(): number;
export declare function generateNetworkSpeed(): number;
export declare function generateRandomStatus(): number;
export declare function generateMeasures(): Array<IMeasure>;
