import { IDropdownOption } from '../Dropdown/Dropdown.Props';
export declare enum PropertyTypeEnum {
    String = 0,
    Number = 1,
    Enum = 2,
    Boolean = 3,
    DateTime = 4,
    None = 5,
}
export interface IConditionDefinition {
    id: string;
    parentId?: string;
    propertyName: string;
    propertyType: PropertyTypeEnum;
    isHardcodedValue?: boolean;
    classname?: string;
    compareConditions?: IDropdownOption[];
    hasIndent?: boolean;
    indentSize?: number;
    compareConditionChanged?: (conditionRowState: IConditionRowState) => void;
    conditionValueChanged?: (conditionId: string, conditionValue: any) => void;
    additionalData?: any;
    conditionDragged?: (dragSource: any, dragTarget: any) => void;
    connectDragSource?: any;
    isDragging?: boolean;
}
export interface IConditionRowState {
    propertyId: string;
    selectedCompareConditionKey: string | number;
}
