import * as React from 'react';
import { NotificationBubbleStyleObject } from '../NotificationIcon';
export declare enum ExpandCaptionsBehaviorEnum {
    ShowCaptionsOnHover = 0,
    ShowCaptionsOnToggleButton = 1,
    AlwaysHideCaptions = 2,
    AlwaysShowCaptions = 3,
}
export interface ILeftNavigationProps {
    id?: string;
    options: ILeftNavigationOption[];
    className?: string;
    onClick?: (ev?: React.MouseEvent<HTMLElement>, item?: ILeftNavigationOption) => void;
    expandCaptionsBehavior?: ExpandCaptionsBehaviorEnum;
    expandMargin?: boolean;
    expandDelayMs?: number;
    notificationBubbleStyleObject?: NotificationBubbleStyleObject;
}
export interface ILeftNavigationOption {
    id: string;
    text: string;
    href?: string;
    icon?: string;
    selected?: boolean;
    disabled?: boolean;
    position?: LeftNavigationOptionPositionEnum;
    notificationNumber?: number;
    notificationBubbleStyleObject?: NotificationBubbleStyleObject;
}
export declare enum LeftNavigationOptionPositionEnum {
    Up = 0,
    Down = 1,
}
