import * as React from 'react';
import { IPieChartProps, IPieChartData } from './PieChart.props';
import './PieChart.scss';
export declare class PieChart extends React.PureComponent<IPieChartProps, any> {
    static defaultProps: {
        title: string;
        text: string;
        colors: ReadonlyArray<string>;
        tipText: (data: IPieChartData) => string;
        showLegend: boolean;
    };
    private containerRef;
    constructor(props: IPieChartProps);
    /**
     * Function that returns color based on given string.
     */
    private createColorPallette;
    render(): JSX.Element;
    /**
     * Initialize width and height of component. This method gets invoked when
     * parent div component is mounted.
     */
    private init(element);
    /**
     * Creates legend for chart based on given data.
     */
    private renderLegend(data);
    /**
     * If props for number of data is specified this function transforms given data so first n-1
     * elements are shown in descending order and all other elements are displayed together
     * as one value.
     */
    private transformData();
    /**
     * Rescales component to new size base od parent component.
     */
    private onResize();
    private setDimensions(width, height);
    componentWillUnmount(): void;
}
