import './QuickGrid.scss';
import * as React from 'react';
import { ActionItem, GridColumn, GroupRow, IGroupBy, IQuickGridProps, IQuickGridState, FiltersData, ContextActionsObject } from './QuickGrid.Props';
import { IQuickGrid } from '.';
export declare class QuickGridInner extends React.Component<IQuickGridProps, IQuickGridState> implements IQuickGrid {
    static defaultProps: {
        overscanRowCount: number;
        groupBy: any[];
        rowHeight: number;
        tooltipsEnabled: boolean;
        actionsTooltip: string;
        columnHeadersVisible: boolean;
        isRowSelectable: boolean;
        delayMs: number;
    };
    private _finalGridRows;
    private _grid;
    private _headerGrid;
    private _parentElement;
    private _columnsMinTotalWidth;
    private _rowContextActionsHandler;
    constructor(props: IQuickGridProps);
    scrollToRow: (index: number) => void;
    expandAll: (event: any) => void;
    collapseAll: (event: any) => void;
    updateColumnWidth: (columnIndex: number, getWidth: (oldWidth: number) => number) => void;
    getAllGroupKeys(rows: any, groupByColumnIndex?: number, parentGroupKey?: string): string[];
    getGroupByFromProps(groupBy: Array<string | IGroupBy>): IGroupBy[];
    getColumnsToDisplay(columns: Array<GridColumn>, groupBy: Array<IGroupBy>, hasActionColumn: boolean, pickedColumns?: Array<GridColumn>): GridColumn[];
    private updateColumns(props);
    componentWillReceiveProps(nextProps: IQuickGridProps): void;
    componentWillUpdate(nextProps: any, nextState: any): void;
    componentDidUpdate(prevProps: IQuickGridProps, prevState: IQuickGridState): void;
    private _mounted;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private nativeMouseLeaveListener;
    getViewportWidth(): number;
    getGridWidth(): number;
    getGridHeight: (height: number) => number;
    private _shouldRenderActionsColumn(props);
    onRowExpandToggle(name: any, shouldExpand: any): void;
    onGridHeaderColumnsResize: (newColumnWidths: number[]) => void;
    onSortColumn: (sortBy: any, sortDirection: any) => void;
    onGroupBySort: (groupBySortColumn: any, groupBySortDirection: any) => void;
    cellRenderer: ({ columnIndex, key, rowIndex, style }: {
        columnIndex: any;
        key: any;
        rowIndex: any;
        style: any;
    }) => {};
    renderEmptyCell(key: any, rowIndex: any, rowData: any, style: any): JSX.Element;
    onActionItemClick: (option: any, actionIndex: any, rowIndex: any) => void;
    renderActionCell(key: any, rowIndex: number, rowData: any, style: any): JSX.Element;
    renderGroupCell(columnIndex: number, key: any, rowIndex: number, rowData: GroupRow, style: any): JSX.Element;
    onMouseEnterCell: (rowIndex: number) => void;
    renderBodyCell(columnIndex: number, key: any, rowIndex: number, rowData: any, style: any, onCellClick: any): JSX.Element;
    renderRowContextActions: (rowIndex: any, rowData: any, isSelectedRow: any) => JSX.Element;
    setSelectedRowIndex: (rowIndex: number, rowData: any) => void;
    onGridResize: () => void;
    onGridResizeCore: () => void;
    getColumnWidths(columnsToDisplay: Array<GridColumn>): any[];
    getColumnWidthInPx(available: number, totalWidth: number, currentWidth: number, fixedWidth: boolean): number;
    getColumnWidth: ({ index }: {
        index: any;
    }) => number;
    groupByToolboxHeight: () => number;
    gridFooterContainerHeight: () => any;
    horizontalScrollbarExists(): boolean;
    getRowContextActions: (rowIndex: number) => ActionItem[] | ContextActionsObject;
    onRowContextActionClicked: (rowIndex: number, action: ActionItem) => void;
    private _setHeaderGridReference;
    private _setGridReference;
    private _setRowContextActionsHandler;
    private _onScrollbarPresenceChange;
    addColumnFilter: (filterData: FiltersData) => void;
    removeColumnFilter: (filterData: FiltersData) => void;
    recomputeGridSize: () => void;
    private onColumnSelectionChanged;
    render(): JSX.Element;
}
export declare const QuickGrid: React.ComponentClass<IQuickGridProps>;
