import * as React from 'react';
import { ITreeFilterProps } from './TreeFilter.Props';
import { IVirtualizedTreeViewProps, IVirtualizedTreeViewState } from './VirtualizedTreeView.Props';
import './VirtualizedTreeView.scss';
export declare class VirtualizedTreeView extends React.PureComponent<IVirtualizedTreeViewProps, IVirtualizedTreeViewState> {
    private _list;
    private parentLookup;
    private itemLookup;
    private allItemIds;
    static defaultProps: Partial<IVirtualizedTreeViewProps>;
    constructor(props: IVirtualizedTreeViewProps);
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: IVirtualizedTreeViewProps): void;
    componentDidUpdate(prevProps: ITreeFilterProps, prevState: IVirtualizedTreeViewState): void;
    render(): JSX.Element;
    private rowRenderer;
    private _renderItemValueWithTooltip(treeItem);
    private _renderItemValue(treeItem);
    private renderItem(treeItem, itemKey);
    private renderAsyncLoadingNode(loadingTreeNodeKey);
    private isItemInList(list, treeItem);
    private rowHeight;
    private getExpandedItemCount;
    private setListReference;
    private searchItems;
    private onSelectAllChange;
    private allFilteredChecked;
    private areAllItemsSelected;
    private updatePartiallyCheckedItems(checkedItemIds);
    private getNewCheckedItems(changedTreeItem, checkedItemIds, wasChecked);
    private checkBranches(branches, checked, partiallyChecked);
    private modifyListForItem(list, itemId, addItem);
    private popMaxDepthBranch(branches);
    private setNewSelectedState(allChecked, newChecked, newPartiallyChecked);
    private getBoxSupportElementsHeight;
    private getListHeight;
    private allFilteredChildrenChecked;
    private getAllSelectedCheckMark;
}
